# This is an example project to test if SDL2 is working on WSL2

## Required software
You need to install the SDL2 development library. On Debian
based systems such as Ubuntu or Linux Mint, you can run

    sudo apt install libsdl2-dev

You will also need gcc and make to build the project and gdb
if you want to debug the project. Further clang-formatt can
be used to format the project.

These can all be installed using 

    sudo apt install build-essential gdb clang-format

## Building the project
In the main directory, simply run `make` with no arguments to
build the project. You can run `make run` to run the built project
and you can run `make debug` to debug the project using gdb.
