#include <ball.h>
#include <game.h>
#include <player.h>

void pong_ai_update(struct game_data* game, struct player* player, float dt)
{
    int distance = game->ball->y_location - (player->y_location + PLAYER_HEIGHT / 2);
    if (distance < -1)
    {
        player_move(player, dt, PLAYER_MOVE_DOWN);
    }
    else if (distance > 1)
    {
        player_move(player, dt, PLAYER_MOVE_UP);
    }
}